Name: H5Pget_meta_block_size
Signature:
  herr_t `H5Pget_meta_block_size`( hid_t `fapl_id`, hsize_t *`size` )
Purpose:
  Returns the current metadata block size setting.
Description:
  `H5Pget_meta_block_size` returns the current minimum size, in bytes, of new metadata block allocations. This setting is retrieved from the file access property list `fapl_id`.

  This value is set by H5Pset_meta_block_size and is retrieved from the file access property list `fapl_id`.

Parameters:

hid_t `fapl_id` | IN: File access property list identifier.
hsize_t *`size` | OUT: Minimum size, in bytes, of metadata block allocations.

Returns:
  Returns a non-negative value if successful. Otherwise returns a negative value.
Fortran90 Interface: h5pget_meta_block_size_f

      SUBROUTINE h5pget_meta_block_size_f(plist_id, size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: plist_id ! File access property list
                                               ! identifier
        INTEGER(HSIZE_T), INTENT(OUT) :: size  ! Metadata block size
        INTEGER, INTENT(OUT)       :: hdferr   ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_meta_block_size_f

History:

Release | C
1.4.0 | Function introduced in this release.